org.jboss.netty.handler.codec.spdy

## Class DefaultSpdyGoAwayFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.DefaultSpdyGoAwayFrame

- All Implemented Interfaces:
    SpdyGoAwayFrame

      public class DefaultSpdyGoAwayFrame
      extends Object
      implements SpdyGoAwayFrame

  The default `SpdyGoAwayFrame` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSpdyGoAwayFrame(int lastGoodStreamId)` Creates a new instance.
    `DefaultSpdyGoAwayFrame(int lastGoodStreamId, int statusCode)` Creates a new instance.
    `DefaultSpdyGoAwayFrame(int lastGoodStreamId, SpdySessionStatus status)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastGoodStreamId()` Returns the Last-good-stream-ID of this frame.
    `int` | `getLastGoodStreamID()`
    `SpdySessionStatus` | `getStatus()` Returns the status of this frame.
    `void` | `setLastGoodStreamId(int lastGoodStreamId)` Sets the Last-good-stream-ID of this frame.
    `void` | `setLastGoodStreamID(int lastGoodStreamId)`
    `void` | `setStatus(SpdySessionStatus status)` Sets the status of this frame.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSpdyGoAwayFrame

          public DefaultSpdyGoAwayFrame(int lastGoodStreamId)

      Creates a new instance.
      Parameters:
        `lastGoodStreamId` - the Last-good-stream-ID of this frame

    - #### DefaultSpdyGoAwayFrame

          public DefaultSpdyGoAwayFrame(int lastGoodStreamId,
                                int statusCode)

      Creates a new instance.
      Parameters:
        `lastGoodStreamId` - the Last-good-stream-ID of this frame
        `statusCode` - the Status code of this frame

    - #### DefaultSpdyGoAwayFrame

          public DefaultSpdyGoAwayFrame(int lastGoodStreamId,
                                SpdySessionStatus status)

      Creates a new instance.
      Parameters:
        `lastGoodStreamId` - the Last-good-stream-ID of this frame
        `status` - the status of this frame

  - ### Method Detail

    - #### getLastGoodStreamID

          public int getLastGoodStreamID()

      Specified by:
        `getLastGoodStreamID` in interface `SpdyGoAwayFrame`

    - #### getLastGoodStreamId

          public int getLastGoodStreamId()

      Description copied from interface: `SpdyGoAwayFrame`
      Returns the Last-good-stream-ID of this frame.
      Specified by:
        `getLastGoodStreamId` in interface `SpdyGoAwayFrame`

    - #### setLastGoodStreamID

          public void setLastGoodStreamID(int lastGoodStreamId)

      Specified by:
        `setLastGoodStreamID` in interface `SpdyGoAwayFrame`

    - #### setLastGoodStreamId

          public void setLastGoodStreamId(int lastGoodStreamId)

      Description copied from interface: `SpdyGoAwayFrame`
      Sets the Last-good-stream-ID of this frame. The Last-good-stream-ID cannot be negative.
      Specified by:
        `setLastGoodStreamId` in interface `SpdyGoAwayFrame`

    - #### getStatus

          public SpdySessionStatus getStatus()

      Description copied from interface: `SpdyGoAwayFrame`
      Returns the status of this frame.
      Specified by:
        `getStatus` in interface `SpdyGoAwayFrame`

    - #### setStatus

          public void setStatus(SpdySessionStatus status)

      Description copied from interface: `SpdyGoAwayFrame`
      Sets the status of this frame.
      Specified by:
        `setStatus` in interface `SpdyGoAwayFrame`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.